Subject: RE: [Cfrg] draft-thomas-w7cipher-03.txt

From: "Stephen Thomas" <[email-masked]>
Date: Mon, 11 Nov 2002 16:59:36 -0500

Hi Russ,

Thanks for taking the time to review and comment on our implementation.
What you describe is a classic man-in-the-middle attack, and you are
completely correct in noting that linear frame check sequences (such as
Ethernet's CRC) cannot protect against such attacks. We certainly
recognize that problem, but, in our application, consider the threat of
man-in-the-middle attacks to be insignficant. (Perhaps time will tell
whether or not that assumption is valid.) At this point, though, we are
comfortable with our current approach. For the very reason you cite,
however, I would not recommend the use of Ethernet CRC as a general
mechanism for message integrity protection.

BTW, I should note that this discussion is independent of the W7 cipher
itself. The authors of the W7 draft did not participate in the design of
this particular security system (which happens to use W7 as the cipher).
So, if chance does show the FCS approach to be a mistake, neither blame
nor fault should be attributed to the draft authors (other than me ;^).

Thanks again for your comments.

Stephen

> -----Original Message-----
> From: Housley, Russ [mailto:[email-masked]]
> Sent: Monday, 11 November 2002 4:46 PM
> To: Stephen Thomas
> Cc: David A. Mcgrew; [email-masked]; Deven Anthony; [email-masked];
> [email-masked]
> Subject: RE: [Cfrg] draft-thomas-w7cipher-03.txt
> 
> 
> Stephen:
> 
> IEEE 802.11 WEP encrypted the FCS too.  Actually, it has two, 
> one on the 
> plaintext and one of the ciphertext.  David Wagner showed 
> that the CRC-32 
> is insufficient in an environment where encryption is 
> performed with XOR 
> with a key stream.  One can XOR values into selective bits, 
> then compute 
> the CRC-32 of these changes and XOR the result into the encrypted 
> CRC-32.  After decryption, the FCS on the modified plaintext 
> will check!
> 
> I think you need a better integrity protection mechanism.
> 
> Russ

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg